/*
 * Counter.java 
 *
 * Copyright (c) Verax Systems.
 * All rights reserved.
 *
 * This software is furnished under a license. Use, duplication,
 * disclosure and all other uses are restricted to the rights
 * specified in the written license agreement.
 */
package com.veraxsystems.icmp.jni.handlers;

/**
 * Thread safe counter
 */
public class Counter 
{
   private int count = 0;

   /**
    * 
    */
   public Counter() 
   {
   }

   /**
    * Increase counter value by one
    */
   public synchronized void inc() 
   {
      count += 1;
   }

   /**
    * Get value of counter
    * @return integer counter value
    */
   public synchronized int getCount() {
      return count;
   }
   
}
